<div class="container">
    <div class="row d-flex justify-content-center mt-5">
        <div class="col-sm-4 p-3 bg-dark rounded-3">

            <h1 class="text-center mb-3">Számológép</h1>

            <div class="input-group mb-3">
                <input type="text" class="form-control" placeholder="{{ input }}" [value]="input" disabled>
                <span class="input-group-text">{{ result }}</span>
            </div>

            <app-calculator-buttons [buttons]="firstRow" (onClick)="catchClickedFunction($event)"></app-calculator-buttons>
            <app-calculator-buttons [buttons]="secondRow" (onClick)="catchClickedFunction($event)"></app-calculator-buttons>
            <app-calculator-buttons [buttons]="thirdRow" (onClick)="catchClickedFunction($event)"></app-calculator-buttons>
            <app-calculator-buttons [buttons]="fourthRow" (onClick)="catchClickedFunction($event)"></app-calculator-buttons>
            <app-calculator-buttons [buttons]="fifthRow" (onClick)="catchClickedFunction($event)"></app-calculator-buttons>

        </div>
    </div>
</div>
